#ifndef _M_RECT_H_
#define _M_RECT_H_

class m_rect
{
public:
    m_rect();
    m_rect(int, int, int, int);

    int intersects(m_rect const &other) const;
    
    int top;
    int bot;
    int left;
    int right;
};

#endif
